clear;
close all;
%DATA = csvread('Filt3.csv');
DATA = csvread('cutecom25.log');

time = DATA(:,1);
setpoint = DATA(:,2);
position = DATA(:,3);
pwm = DATA(:,4);


time = time/1000;
time = time - time(1);

position = position/1000; % position in cemtimeters
setpoint = setpoint/1000; % position in cemtimeters



f = figure(1);
set(f,'color','w');
subplot(2,1,1);
plot(time, setpoint,'r');
hold on;
plot(time, position);
xlabel('time (s)');
ylabel('position (cm)');
%
legend('setpoint','position');
subplot(2,1,2);
plot(time, -pwm);
xlabel('time (s)');
ylabel('pwm duty cycle');
